org.eclipse.jgit.merge

## Class MergeConfig

- java.lang.Object
- - org.eclipse.jgit.merge.MergeConfig

    public class MergeConfig
    extends Object

Holds configuration for merging into a given branch

Since:
  3.3

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MergeConfig` `getConfigForCurrentBranch(Repository repo)`
`MergeCommand.FastForwardMode` `getFastForwardMode()`
`static Config.SectionParser<MergeConfig>` `getParser(String branch)`
`boolean` `isCommit()`
`boolean` `isSquash()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getConfigForCurrentBranch

    public static MergeConfig getConfigForCurrentBranch(Repository repo)

Parameters:
  `repo` -
Returns:
  merge configuration for the current branch of the repository

#### getParser

    public static final Config.SectionParser<MergeConfig> getParser(String branch)

Parameters:
  `branch` - short branch name to get the configuration for, as returned e.g. by `Repository.getBranch()`
Returns:
  a parser for use with `Config.get(SectionParser)`

#### getFastForwardMode

    public MergeCommand.FastForwardMode getFastForwardMode()

Returns:
  the fast forward mode configured for this branch

#### isSquash

    public boolean isSquash()

Returns:
  true if merges into this branch are configured to be squash merges, false otherwise

#### isCommit

    public boolean isCommit()

Returns:
  false if --no-commit is configured for this branch, true otherwise (event if --squash is configured)